Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc
Class MUCEventDispatcher

    java.lang.Object
      org.jivesoftware.openfire.muc.MUCEventDispatcher

    public class MUCEventDispatcher

extends Object

Dispatches MUC events. The following events are supported:

- occupantJoined --> Someone joined a room.
- occupantLeft --> Someone left a room.
- nicknameChanged --> A nickname was changed in a room.
- messageReceived --> A message was received in a room.
- roomCreated --> A room was created.
- roomDestroyed --> A room was destroyed.

Use `addListener(MUCEventListener)` and `removeListener(MUCEventListener)` to add or remove `MUCEventListener`.

Author:
  Daniel Henninger

Constructor Summary
`MUCEventDispatcher()`

Method Summary
`static void` | `addListener(MUCEventListener listener)`
`static void` | `messageReceived(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String nickname, org.xmpp.packet.Message message)`
`static void` | `nicknameChanged(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String oldNickname, String newNickname)`
`static void` | `occupantJoined(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String nickname)`
`static void` | `occupantLeft(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user)`
`static void` | `privateMessageRecieved(org.xmpp.packet.JID toJID, org.xmpp.packet.JID fromJID, org.xmpp.packet.Message message)`
`static void` | `removeListener(MUCEventListener listener)`
`static void` | `roomCreated(org.xmpp.packet.JID roomJID)`
`static void` | `roomDestroyed(org.xmpp.packet.JID roomJID)`
`static void` | `roomSubjectChanged(org.xmpp.packet.JID roomJID, org.xmpp.packet.JID user, String newSubject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MUCEventDispatcher

    public MUCEventDispatcher()

Method Detail

### addListener

    public static void addListener(MUCEventListener listener)

### removeListener

    public static void removeListener(MUCEventListener listener)

### occupantJoined

    public static void occupantJoined(org.xmpp.packet.JID roomJID,
                                      org.xmpp.packet.JID user,
                                      String nickname)

### occupantLeft

    public static void occupantLeft(org.xmpp.packet.JID roomJID,
                                    org.xmpp.packet.JID user)

### nicknameChanged

    public static void nicknameChanged(org.xmpp.packet.JID roomJID,
                                       org.xmpp.packet.JID user,
                                       String oldNickname,
                                       String newNickname)

### messageReceived

    public static void messageReceived(org.xmpp.packet.JID roomJID,
                                       org.xmpp.packet.JID user,
                                       String nickname,
                                       org.xmpp.packet.Message message)

### privateMessageRecieved

    public static void privateMessageRecieved(org.xmpp.packet.JID toJID,
                                              org.xmpp.packet.JID fromJID,
                                              org.xmpp.packet.Message message)

### roomCreated

    public static void roomCreated(org.xmpp.packet.JID roomJID)

### roomDestroyed

    public static void roomDestroyed(org.xmpp.packet.JID roomJID)

### roomSubjectChanged

    public static void roomSubjectChanged(org.xmpp.packet.JID roomJID,
                                          org.xmpp.packet.JID user,
                                          String newSubject)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.